Bug 479901 - two-byte opcode 0F 01 not handled
two-byte opcode 0F 01 not handled
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libx86 (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Matthew Garrett
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-13 17:14 EST by Adam Jackson
Modified: 2012-04-26 15:56 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-26 15:56:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ibm-pos-rom (64.00 KB, application/octet-stream)
2009-01-13 17:14 EST, Adam Jackson
no flags Details

  None (edit)
Description Adam Jackson 2009-01-13 17:14:10 EST
Created attachment 328924 [details]
ibm-pos-rom

Description of problem:

< bcl> hehe. I've got a IBM Point Of Sale system here that uses a Intel 
       82915G chipset. With the latest Suse LiveCD the display comes up 
       fine using the vesa driver. In F9 it gives me this error in the 
       Xorg.0.log:
< bcl> c000:2719: 01 ILLEGAL EXTENDED X86 OPCODE!
< bcl> The system is also odd in that the intel driver thinks it works, 
       but the LCD remains black. it does have a external VGA connector 
       and the intel driver works on that just fine.

Yes this is really a bug in X's x86emu, but let's pretend they'll be unified by F11.

Video ROM from the affected machine is attached.
Comment 1 Adam Jackson 2009-02-08 02:49:56 EST
If my visual disassembly is right, it's failing on LMSW.  Not sure how we should emulate this, really.
Comment 2 Bug Zapper 2009-06-09 06:42:26 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-04-27 08:43:59 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-07-30 06:35:12 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Adam Jackson 2012-04-26 15:56:22 EDT
Don't care, never going to attempt to implement the MSRs in libx86.

Note You need to log in before you can comment on or make changes to this bug.